Deployments.ai Docs
Evaluations

List evaluation runs, newest first

GET /v1/evaluation-runs · SDK listEvaluationRuns · CLI deployments eval run list

GET
/v1/evaluation-runs

Requires observability:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 8192
limit?integer
Range1 <= value <= 100
status?string

Only runs in this status.

Value in"canceled""completed""failed""queued""running"
agentReleaseId?string

Only dataset replays whose target is this agent release.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
datasetId?string

Only dataset replays of this regression dataset.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListEvaluationRunsResponse

application/json
  1. response
items*array<>
nextCursor?string|null
curl -X GET "https://example.com/v1/evaluation-runs" \  -H "x-deployments-organization: string" \  -H "x-deployments-project: string" \  -H "x-deployments-environment: string"
{  "items": [    {      "caseCount": 0,      "caseTimeoutSeconds": 0,      "comparison": {        "releaseComparisonId": "string",        "role": "baseline"      },      "completedAt": "2019-08-24T14:15:22Z",      "concurrency": 0,      "counts": {        "failed": 0,        "pending": 0,        "running": 0,        "scored": 0,        "timedOut": 0      },      "createdAt": "2019-08-24T14:15:22Z",      "datasetId": "string",      "error": {        "code": "string",        "message": "string"      },      "executionBindingId": "string",      "id": "string",      "kind": "dataset-replay",      "scoreDefinitions": [        {          "evaluatorVersionHash": "string",          "name": "string",          "revision": 1,          "scoreDefinitionId": "string",          "threshold": 0,          "type": "deterministic"        }      ],      "startedAt": "2019-08-24T14:15:22Z",      "status": "canceled",      "summary": {        "costUsdMicros": 0,        "definitions": [          {            "errors": 0,            "mean": 0,            "passRate": 0,            "passed": 0,            "revision": 0,            "scoreDefinitionId": "string",            "scored": 0          }        ],        "latencyP50Ms": 0,        "latencyP95Ms": 0,        "totalTokens": 0      },      "target": {        "agentDeploymentId": "string",        "agentReleaseId": "string",        "type": "deployment"      },      "traceIds": [        "string"      ],      "updatedAt": "2019-08-24T14:15:22Z",      "version": 0    }  ],  "nextCursor": "string"}